Subject: Re: [PATCH] Consolidate shared code between enic and fnic drivers.

From: Ben Hutchings <[email-masked]>
Date: Thu, 18 Jun 2009 15:03:47 +0100

On Wed, 2009-06-17 at 22:05 -0700, Scott Feldman wrote:
> Consolidate shared code between enic and fnic drivers.
> 
> [David/James, we need a little help with this one...this single patch
> spans scsi and netdev, so we're not sure which tree/maintainer needs
> to pick up the patch.  Please advise.  It's for 2.6.31.  The patch is
> against linux-2.6.git.]
> 
> The Cisco enic 10G Ethernet driver and the fnic FCoE HBA driver share
> much of the same hardware-access code because enic and fnic devices are
> really two functions on a converged-I/O PCIe device.  This patch
> consolidates the shared code into one shared module, thus eliminating
> the code duplication.  No functional changes are made by the patch.
> 
> Why weren't these consolidated in the first place?  fnic went in late in
> 2.6.30 on the scsi branch (merge exception for new drivers), and it was
> too late to modify enic which was already included in 2.6.28.
> 
> The changes are as follows:
> 
>   o a new module vnic which is shared between fnic and enic
[...]

Please use a less generic name, like "cisco_vnic".  Solarflare is also
using the term vNIC to refer to its hardware virtualisation features and
I wouldn't be surprised if this term came to be used generically in
future .

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.